Ruby - Feature #
[PATCH] Implem

10068
ent monadic operator for Vector

07/19/2014 01:57 AM - gogotanaka (Kazuki Tanaka)

Status: Closed

Priority: Normal

Assignee: marcandre (Marc-Andre Lafortune)
Target version: 2.2.0

Description

Before

v = Vector[l, 2, 3]

+ v

=> NoMethodError:

- Vv

=> NoMethodError:

After

v = Vector[l, 2,

+ v
=> Vector[l, 2,

- Vv
=> Vector[-1, -2

undefined method "+@' for Vector[l, 2, 3]:Vector

undefined method "-Q@' for Vector[l, 2, 3]:Vector

3]

3]

’ _3]

Related issues:

Related to Ruby - Feature #10069: [PATCH] Implement monadic operator for Matrix

Closed

07/19/2014

History

#1 - 07/19/2014 02:01 AM - gogotanaka (Kazuki Tanaka)

I'm sorry my report looks ugly... | fix it. 4

Before

v = Vector[l, 2, 3

+ v
=> NoMethodError:

- v
=> NoMethodError:

After

v = Vector[l, 2, 3

+ v
=> Vector([l, 2, 3]

- v
=> Vector[-1, -2,

]

undefined method “+@' for Vector[l, 2, 3]:Vector

undefined method "-Q@' for Vector[l, 2, 3]:Vector

]

-3]

#2 - 07/19/2014 11:15 AM - matz (Yukihiro Matsumoto)

| am not sure the term monadic is a proper one, but | like the idea.

Matz.

#3 - 07/19/2014 11:16 AM - matz (Yukihiro Matsumoto)
- Related to Feature #10069: [PATCH] Implement monadic operator for Matrix added

07/18/2025

1/2




#4 - 07/20/2014 07:11 PM - hsbt (Hiroshi SHIBATA)
- Category set to lib

- Status changed from Open to Assigned

- Assignee set to marcandre (Marc-Andre Lafortune)

- Target version set to 2.2.0

#5 - 10/07/2014 08:19 PM - marcandre (Marc-Andre Lafortune)

- Status changed from Assigned to Closed

Done.

Thanks for catching this omission, and for the patch.

#6 - 10/07/2014 10:51 PM - gogotanaka (Kazuki Tanaka)
Thank you, too.

Files
implement_uplus_for_vector.patch 842 Bytes 07/19/2014 gogotanaka (Kazuki Tanaka)
implement_negate_for_vector.patch 1.25 KB 07/19/2014 gogotanaka (Kazuki Tanaka)
